Create call recording
curl --request POST \
--url https://api.attio.com/v2/meetings/{meeting_id}/call_recordings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"video_url": "https://example.com/recording.mp4"
}
}
'import requests
url = "https://api.attio.com/v2/meetings/{meeting_id}/call_recordings"
payload = { "data": { "video_url": "https://example.com/recording.mp4" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {video_url: 'https://example.com/recording.mp4'}})
};
fetch('https://api.attio.com/v2/meetings/{meeting_id}/call_recordings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"meeting_id": "cb59ab17-ad15-460c-a126-0715617c0853",
"call_recording_id": "e8f2a3b7-9b4d-4c5e-8a1f-3d7b2c5e8f9a"
},
"status": "completed",
"web_url": "https://app.attio.com/salarya/calls/cb59ab17-ad15-460c-a126-0715617c0853/e8f2a3b7-9b4d-4c5e-8a1f-3d7b2c5e8f9a",
"created_by_actor": {
"type": "workspace-member",
"id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
},
"created_at": "2023-01-01T15:00:00.000000000Z"
}
}{
"status_code": 400,
"type": "invalid_request_error",
"code": "validation_type",
"message": "Invalid video URL protocol. Only https is supported"
}{
"status_code": 403,
"type": "auth_error",
"code": "billing_error",
"message": "<string>"
}{
"status_code": 404,
"type": "invalid_request_error",
"code": "not_found",
"message": "The referenced meeting was not found."
}Create call recording
Create a call recording for a meeting. This endpoint is rate limited to 1 request per second.
This endpoint is in alpha and may be subject to breaking changes as we gather feedback.
Required scopes: meeting:read, call_recording:read-write.
POST
/
v2
/
meetings
/
{meeting_id}
/
call_recordings
Create call recording
Authorizations
This API uses OAuth 2.0 with the authorization code grant flow.
Path Parameters
The ID of the meeting this recording belongs to.
Example:
"cb59ab17-ad15-460c-a126-0715617c0853"
Body
application/json
Show child attributes
Show child attributes
Response
Success
Success
Show child attributes
Show child attributes
Was this page helpful?
⌘I